
#ifndef __GLOBALS
#define __GLOBALS


#define MAX_STR 256
#define GC_BIN  1000

#define VERSION "0.34"
#define LAST_UPDATE "December 7, 2011"


enum MODETYPE {NONE, PREP, READSAM, CALL};

enum WINDOWTYPE {LW, SW, CW};

enum GENDERTYPE {AUTODETECT, MALE, FEMALE};

enum GENDERTYPE GENDER;

enum MODETYPE RUNMODE;

int num_chrom;
int MULTGC;
float MAX_GC_CORR;
float MIN_GC_CORR;
int VERBOSE;
int CHECKSAM;

static const int magicNum = 3111696;

char *GENOME_FASTA;
char *GENOME_GAPS;
char *GENOME_CONF;

int LW_SIZE;
int SW_SIZE;
int CW_SIZE;
int LW_SLIDE;
int SW_SLIDE;

float LW_MEAN;
float LW_STD;
float LW_MEAN_X;
float LW_STD_X;

float SW_MEAN;
float SW_STD;
float SW_MEAN_X;
float SW_STD_X;

float CW_MEAN;
float CW_STD;
float CW_MEAN_X;
float CW_STD_X;

int CONT_WINDOW;
int CUT_WINDOW;

typedef struct window{
  int start;
  int end;
  float gc;
  float depth;
  char isControl;
}_window;

typedef struct chrom{
  char *name;
  int  length;
  int lw_cnt;
  int sw_cnt;
  int cw_cnt;
  struct window *sw;
  struct window *lw;
  struct window *cw;
}_chrom;

struct chrom **chromosomes;

#endif
